%define		rname mod_auth_nis
Summary:	Apache 2.4 NIS Authenication module
Summary(ko): 아파치 2.4 NIS 인증 모듈
Name:		httpd-nis
Version:	r25
Release:	1%{?dist}
Epoch:		1
License:	BSD
Group:		System Environment/Deamons
URL:		http://svn.oops.org
Source0:	%{rname}-%{version}.tar.bz2
Source1:	nis.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: httpd-devel
Requires: httpd

%define _unpackaged_files_terminate_build 0
%define _moddir %{_libdir}/httpd/modules
%define _modconf %{_sysconfdir}/httpd/conf.d

%description
This module is implementing NIS authentication for Apache
on Unix platforms.

%prep
%setup -q -n %{rname}-%{version}

%build
%{__make} %{?_smp_mflags}

%install
if [ ! -d %{buildroot} ] ; then
	%{__mkdir_p} %{buildroot}
fi

%{__mkdir_p} %{buildroot}%{_moddir}/
%{__mkdir_p} %{buildroot}%{_modconf}/
%{__install} -m 755 .libs/mod_auth_nis.so %{buildroot}%{_moddir}/
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_modconf}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_modconf}/nis.conf
%{_moddir}/mod_auth_nis.so

%changelog
* Tue Feb  2 2016 JoungKyun.Kim <http://oops.org> 1:r25-1%{?dist}
- build on AN3
- update r25

* Sun Feb  2 2014 JoungKyum.Kim <http://oops.org> 1:r24-1%{?dist}
- update r24
- fixed AuthUserFile missing error
- Must need to set 'AuthBasicProvider nis'

* Sun Feb 26 2012 JoungKyum.Kim <http://oops.org> 1:r20-1%{?dist}
- first packaging
